{% extends 'inventory/base.html' %}
{% load crispy_forms_tags %}

{% block title %} | Inventory {% endblock %}

{% block content %}
    <div class="nav nav-pills nav-justified m-3">
        <div class="nav-item">
            <a class="nav-link active" href="{% url 'analytics_categories' %}">Categories</a>
        </div>
        <div class="nav-item">
            <a class="nav-link" href="{% url 'analytics_parts' %}">Parts</a>
        </div>
    </div>
    <div class="table-responsive">
        <table class="table table-sm table-striped">
            <thead class="thead-light">
            <tr>
                <th scope="col" class="text-nowrap">
                    Category
                    {% if order == 'path' %}
                        <a href="{% url 'analytics_categories' %}?order=-path">
                            <i class="fas fa-sort-up"></i>
                        </a>
                    {% elif order == '-path' %}
                        <a href="{% url 'analytics_categories' %}?order=path">
                            <i class="fas fa-sort-down"></i>
                        </a>
                    {% else %}
                        <a href="{% url 'analytics_categories' %}?order=path">
                            <i class="fas fa-sort"></i>
                        </a>
                    {% endif %}
                </th>
                <th scope="col" class="text-nowrap text-right align-middle">
                    Part
                    {% if order == 'parts_count' %}
                        <a href="{% url 'analytics_categories' %}?order=-parts_count">
                            <i class="fas fa-sort-up"></i>
                        </a>
                    {% elif order == '-parts_count' %}
                        <a href="{% url 'analytics_categories' %}?order=parts_count">
                            <i class="fas fa-sort-down"></i>
                        </a>
                    {% else %}
                        <a href="{% url 'analytics_categories' %}?order=parts_count">
                            <i class="fas fa-sort"></i>
                        </a>
                    {% endif %}
                </th>
                <th scope="col" class="text-nowrap text-right align-middle">
                    Part Locations
                    {% if order == 'locations_count' %}
                        <a href="{% url 'analytics_categories' %}?order=-locations_count">
                            <i class="fas fa-sort-up"></i>
                        </a>
                    {% elif order == '-locations_count' %}
                        <a href="{% url 'analytics_categories' %}?order=locations_count">
                            <i class="fas fa-sort-down"></i>
                        </a>
                    {% else %}
                        <a href="{% url 'analytics_categories' %}?order=locations_count">
                            <i class="fas fa-sort"></i>
                        </a>
                    {% endif %}
                </th>
                <th scope="col" class="text-nowrap text-right align-middle">
                    Part Quantity
                    {% if order == 'parts_quantity' %}
                        <a href="{% url 'analytics_categories' %}?order=-parts_quantity">
                            <i class="fas fa-sort-up"></i>
                        </a>
                    {% elif order == '-parts_quantity' %}
                        <a href="{% url 'analytics_categories' %}?order=parts_quantity">
                            <i class="fas fa-sort-down"></i>
                        </a>
                    {% else %}
                        <a href="{% url 'analytics_categories' %}?order=parts_quantity">
                            <i class="fas fa-sort"></i>
                        </a>
                    {% endif %}
                </th>
                <th scope="col" class="text-nowrap text-right align-middle">
                    Part Price
                    {% if order == 'parts_price' %}
                        <a href="{% url 'analytics_categories' %}?order=-parts_price">
                            <i class="fas fa-sort-up"></i>
                        </a>
                    {% elif order == '-parts_price' %}
                        <a href="{% url 'analytics_categories' %}?order=parts_price">
                            <i class="fas fa-sort-down"></i>
                        </a>
                    {% else %}
                        <a href="{% url 'analytics_categories' %}?order=parts_price">
                            <i class="fas fa-sort"></i>
                        </a>
                    {% endif %}
                </th>
                <th scope="col" class="text-nowrap text-right align-middle">
                    Parts Ordered
                    {% if order == 'parts_ordered' %}
                        <a href="{% url 'analytics_categories' %}?order=-parts_ordered">
                            <i class="fas fa-sort-up"></i>
                        </a>
                    {% elif order == '-parts_ordered' %}
                        <a href="{% url 'analytics_categories' %}?order=parts_ordered">
                            <i class="fas fa-sort-down"></i>
                        </a>
                    {% else %}
                        <a href="{% url 'analytics_categories' %}?order=parts_ordered">
                            <i class="fas fa-sort"></i>
                        </a>
                    {% endif %}
                </th>
            </tr>
            </thead>
            <tbody>
            {% for category in categories %}
                <tr>
                    <td><a href="{% url 'parts_category' category_id=category.id %}">{{ category }}</a></td>
                    <td class="text-right align-middle" style=>{{ category.parts_count }}</td>
                    <td class="text-right align-middle" style=>{{ category.part_locations_count }}</td>
                    <td class="text-right align-middle" style=>{{ category.parts_quantity }}</td>
                    <td class="text-right align-middle" style=>${{ category.parts_price|floatformat:2 }}</td>
                    <td class="text-right align-middle" style=>{{ category.parts_ordered }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}
